%define oname claws-mail
%define claws_version 3.9.0

%define _disable_ld_no_undefined 1

Summary:	This package contains additional plugins for %{oname}
Name:		%{oname}-extra-plugins
Version:	%{claws_version}
Release:	%mkrel 6
Group:		Networking/Mail
License:	GPLv3+
URL:		http://www.claws-mail.org/plugins/downloads
Source0:	http://downloads.sourceforge.net/project/sylpheed-claws/extra%20plugins/%{version}/%{name}-%{version}.tar.bz2
Patch0:	claws-mail-vcalendar-pluginfix-CVE-2012-5527.patch
Patch1:	claws-mail-newmail_fix_mail_directory.patch

# use same epoch as in claws-mail pkg
Epoch:		1

#BR needed for autoreconf :
BuildRequires:	gettext-devel

BuildRequires:	claws-mail-devel = %{epoch}:%{claws_version}
BuildRequires:	claws-mail = %{epoch}:%{claws_version}
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	libetpan-devel
BuildRequires:	perl-devel
BuildRequires:	curl-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libgtkhtml2-devel
BuildRequires:	ghostscript
BuildRequires:	pygtk2.0-devel
# claws-mail-plugins (meta-pkg) is now provided by claws-mail pkg,
# introduced first time in claws-mail release 1:3.8.1-3
Obsoletes:	%{oname}-plugins < 1:3.8.1-3
Requires:	%{oname}-acpi-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-att_remover-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-bsfilter-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-fancy-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-fetchinfo-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-mailmbox-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-notification-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-pdf_viewer-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-perl-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-python-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-rssyl-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-vcalendar-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-gtkhtml2_viewer-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-attachwarner-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-spam_report-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-tnef_parse-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-address_keeper-plugin = %{epoch}:%{version}-%{release}
Requires:	%{oname}-clamd-plugin = %{epoch}:%{version}-%{release}

%description
Claws Mail extra plugins are plugins which are not included in the Claws
Mail source package.

This package is a meta-package which requires all those plugins:
%{oname}-acpi-plugin
%{oname}-att_remover-plugin
%{oname}-bsfilter-plugin
%{oname}-fancy-plugin
%{oname}-fetchinfo-plugin
%{oname}-mailmbox-plugin
%{oname}-notification-plugin
%{oname}-pdf_viewer-plugin
%{oname}-perl-plugin
%{oname}-python-plugin
%{oname}-rssyl-plugin
%{oname}-vcalendar-plugin
%{oname}-gtkhtml2_viewer-plugin
%{oname}-attachwarner-plugin
%{oname}-spam_report-plugin
%{oname}-tnef_parse-plugin
%{oname}-address_keeper-plugin
%{oname}-clamd-plugin

%package -n %{oname}-acpi-plugin
Summary:	This plugin enables mail notification via LEDs on some laptops
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-acpi-plugin
This plugin for %{oname} enables mail notification via LEDs
on some laptops.

%package -n %{oname}-att_remover-plugin
Summary:	This plugin for %{oname} enables the removal of attachments
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-att_remover-plugin
This plugin for %{oname} enables the removal of attachments.

%package -n %{oname}-bsfilter-plugin
Summary:	This plugin enables spam fitering through bsfilter
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-bsfilter-plugin
Check all messages that are received from an IMAP, LOCAL or POP account
for spam using Bsfilter.

%package -n %{oname}-fancy-plugin
Summary:	This plugin renders HTML e-mails through WebKit
Group:		Networking/Mail
BuildRequires:	webkitgtk-devel
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-fancy-plugin
Renders HTML e-mail using the WebKit library

%package -n %{oname}-fetchinfo-plugin
Summary:	This plugin inserts headers containing some download information
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-fetchinfo-plugin
This plugin for %{oname} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package -n %{oname}-mailmbox-plugin
Summary:	This plugin provides direct access to mbox folders
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-mailmbox-plugin
This plugin for %{oname} provides direct access to mbox folders.

%package -n %{oname}-newmail-plugin
Summary:	This plugin can write a summary to a log file
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-newmail-plugin
This plugin for %{oname} can write a summary to a log file upon
receiving new mail. It defaults to ~/Mail/NewLog.

%package -n %{oname}-notification-plugin
Summary:	This plugin notify from new mail
Group:		Networking/Mail
BuildRequires:	libnotify-devel
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-notification-plugin
This plugin for %{oname} notify from new incoming mail.

%package -n %{oname}-perl-plugin
Summary:	Perl interface to %{oname}s' filtering mechanism
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-perl-plugin
This plugin is intended to extend the filtering possibilities
of %{oname}. It provides a Perl interface to %{oname}s'
filtering mechanism, allowing the use of full Perl power in
email filters.

%package -n %{oname}-python-plugin
Summary:	Python scriptin access to %{oname}
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-python-plugin
This plugin offers a Python scripting access to %{oname}.

%package -n %{oname}-rssyl-plugin
Summary:	This plugin allows you to read your favorite newsfeeds in %{oname}
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-rssyl-plugin
This plugin allows you to read your favorite newsfeeds in %{oname}.
RSS 1.0, 2.0 and Atom feeds are currently supported.

%package -n %{oname}-vcalendar-plugin
Summary:	This plugin for %{oname} enables vCalendar message handling
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-vcalendar-plugin
This %{oname} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.

%package -n %{oname}-vcalendar-plugin-devel
Summary:	This plugin for %{oname} install the vcalendar plugin headers
Group:		Networking/Mail
Requires:	%{oname}-devel >= %{epoch}:%{claws_version}

%description -n %{oname}-vcalendar-plugin-devel
Header files for %{oname}-vcalendar-plugin.

%package -n %{oname}-gtkhtml2_viewer-plugin
Summary:	This plugin for %{oname} enables gtkhtml2 viewer
Group:		Networking/Mail
BuildRequires:	gail-devel
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-gtkhtml2_viewer-plugin
This %{oname} plugin provides gtkhtml2 viewer.

%package -n %{oname}-attachwarner-plugin
Summary:	This plugin for %{oname} enables attachwarner
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-attachwarner-plugin
This %{oname} plugin provides attachwarner.

%package -n %{oname}-spam_report-plugin
Summary:	This plugin for %{oname} enables spamreport
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-spam_report-plugin
This %{oname} plugin provides spamreport.

%package -n %{oname}-tnef_parse-plugin
Summary:	This plugin for %{oname} enables parsing MS-TNEF attachments
Group:		Networking/Mail
BuildRequires:	libytnef-devel
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-tnef_parse-plugin
This %{oname} plugin enables parsing MS-TNEF attachments.

%package -n %{oname}-address_keeper-plugin
Summary:	%{oname} plugin keeps all recipient addresses in an addressbook folder
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-address_keeper-plugin
This %{oname} plugin keeps all recipient addresses in an addressbook folder.

%package -n %{oname}-clamd-plugin
Summary:	%{oname} plugin to enable scanning all received messages
Group:		Networking/Mail
Requires:	%{oname} >= %{epoch}:%{claws_version}
Requires:	clamav

%description -n %{oname}-clamd-plugin
This %{oname} plugin scans all messages that are received from an IMAP, LOCAL
or POP account using clamd (Clam AV).

%package -n %{oname}-pdf_viewer-plugin
Summary:	%{oname} plugin to handle PDF attachments
Group:		Networking/Mail
Obsoletes:	%{oname}-pdfviewer-plugin < 1:3.9.0-3
Requires:	%{oname} >= %{epoch}:%{claws_version}

%description -n %{oname}-pdf_viewer-plugin
This %{oname} plugin handles PDF and Postscript attachments.

%prep
%setup -q -c
%patch0
%patch1

%build
pushd claws-mail-extra-plugins-%{version}
	rm -r archive*
	rm -r geolocation*
	rm -r gdata_plugin*

	mv ./* ../
popd


rmdir claws-mail-extra-plugins-%{version}

for i in `find ./* -maxdepth 0  -type d`
    do
    pushd $i
    #./autogen.sh
    %configure2_5x --disable-rpath --disable-static
    %make
    popd
done

%install
CLAWS_MAIL_PLUGINDIR=$(pkg-config --variable=plugindir claws-mail)

for i in `find ./* -maxdepth 0  -type d`
    do
    pushd $i
    %makeinstall_std CLAWS_MAIL_PLUGINDIR=$CLAWS_MAIL_PLUGINDIR
    popd
done

# we don't want these
find %{buildroot} -name "*.la" -delete

#CAE have to rm to prevent conflict libical-devel
rm -rf %{buildroot}%{_includedir}/ical.h
rm -rf %{buildroot}%{_includedir}/notification_plugin
rm -rf %{buildroot}%{_includedir}/claws-mail/plugins/vcalendar/ical.h
rm -rf %{buildroot}%{_includedir}/claws-mail/plugins/notification_plugin/gtkhotkey/*.h

# fix permissions
chmod 644 vcalendar*/COPYING vcalendar*/INSTALL vcalendar*/NEWS vcalendar*/README

%find_lang acpi_notifier
%find_lang address_keeper
%find_lang attachwarner
%find_lang bsfilter_plugin
%find_lang clamd
%find_lang fancy
%find_lang fetchinfo-plugin
%find_lang gtkhtml2_viewer
%find_lang notification_plugin
%find_lang pdf_viewer
%find_lang python_plugin
%find_lang rssyl
%find_lang spam_report
%find_lang tnef_parse
%find_lang vcalendar

%files

%files -n %{oname}-acpi-plugin -f acpi_notifier.lang
%doc acpi*/AUTHORS
%doc acpi*/ChangeLog
%doc acpi*/NEWS
%doc acpi*/README
%{_libdir}/%{oname}/plugins/acpi*

%files -n %{oname}-att_remover-plugin
%doc att_remover*/AUTHORS
%doc att_remover*/ChangeLog
%doc att_remover*/NEWS
%doc att_remover*/README
%{_libdir}/%{oname}/plugins/att_remover*

%files -n %{oname}-attachwarner-plugin -f attachwarner.lang
%doc attachwarner*/AUTHORS
%doc attachwarner*/ChangeLog
%doc attachwarner*/NEWS
%doc attachwarner*/README
%doc attachwarner*/TODO
%{_libdir}/%{oname}/plugins/attachwarner*

%files -n %{oname}-bsfilter-plugin -f bsfilter_plugin.lang
%doc attachwarner*/AUTHORS
%doc attachwarner*/ChangeLog
%doc attachwarner*/NEWS
%doc attachwarner*/README
%doc attachwarner*/TODO
%{_libdir}/%{oname}/plugins/bsfilter*

%files -n %{oname}-fancy-plugin -f fancy.lang
%doc attachwarner*/AUTHORS
%doc attachwarner*/ChangeLog
%doc attachwarner*/NEWS
%doc attachwarner*/README
%doc attachwarner*/TODO
%{_libdir}/%{oname}/plugins/fancy*

%files -n %{oname}-fetchinfo-plugin -f fetchinfo-plugin.lang
%doc fetchinfo*/ChangeLog
%doc fetchinfo*/README
%{_libdir}/%{oname}/plugins/fetchinfo*

%files -n %{oname}-mailmbox-plugin
%doc mailmbox*/AUTHORS
%doc mailmbox*/ChangeLog
%doc mailmbox*/README
%{_libdir}/%{oname}/plugins/mailmbox*

%files -n %{oname}-newmail-plugin
%doc newmail*/AUTHORS
%doc newmail*/ChangeLog
%doc newmail*/NEWS
%doc newmail*/README
%{_libdir}/%{oname}/plugins/newmail*

%files -n %{oname}-notification-plugin -f notification_plugin.lang
%doc notif*/AUTHORS
%doc notif*/ChangeLog
%doc notif*/NEWS
%doc notif*/README
%{_libdir}/%{oname}/plugins/noti*

%files -n %{oname}-perl-plugin
%doc perl*/AUTHORS
%doc perl*/ChangeLog
%doc perl*/NEWS
%doc perl*/README
%doc perl*/cm_perl.pod
%{_libdir}/%{oname}/plugins/perl*

%files -n %{oname}-python-plugin -f python_plugin.lang
%doc perl*/AUTHORS
%doc perl*/ChangeLog
%doc perl*/README
%{_libdir}/%{oname}/plugins/python*

%files -n %{oname}-rssyl-plugin -f rssyl.lang
%doc rssyl*/AUTHORS
%doc rssyl*/ChangeLog
%doc rssyl*/NEWS
%{_libdir}/%{oname}/plugins/rssyl*

%files -n %{oname}-vcalendar-plugin -f vcalendar.lang
%doc vcalendar*/AUTHORS
%doc vcalendar*/ChangeLog
%doc vcalendar*/NEWS
%doc vcalendar*/README
%{_libdir}/%{oname}/plugins/vcalendar*

%files -n %{oname}-vcalendar-plugin-devel
%{_includedir}/%{oname}/plugins/vcalendar/vcal_interface.h

%files -n %{oname}-gtkhtml2_viewer-plugin -f gtkhtml2_viewer.lang
%doc gtkhtml2*/AUTHORS
%doc gtkhtml2*/ChangeLog
%doc gtkhtml2*/NEWS
%doc gtkhtml2*/README
%{_libdir}/%{oname}/plugins/gtkhtml2_viewer*

%files -n %{oname}-spam_report-plugin -f spam_report.lang
%{_libdir}/%{oname}/plugins/spamreport*

%files -n %{oname}-tnef_parse-plugin -f tnef_parse.lang
%{_libdir}/%{oname}/plugins/tnef_parse*

%files -n %{oname}-address_keeper-plugin -f address_keeper.lang
%{_libdir}/%{oname}/plugins/address_keeper*

%files -n %{oname}-clamd-plugin -f clamd.lang
%{_libdir}/%{oname}/plugins/clamd*

%files -n %{oname}-pdf_viewer-plugin -f pdf_viewer.lang
%{_libdir}/%{oname}/plugins/pdf_viewer*


%changelog

* Mon Feb 11 2013 julien <julien> 1:3.9.0-6.mga3
+ Revision: 397908
- add patch from Yann Lejeune to fix newmail plugin (MGA#8725)

* Fri Jan 11 2013 umeabot <umeabot> 1:3.9.0-5.mga3
+ Revision: 347851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 wally <wally> 1:3.9.0-4.mga3
+ Revision: 337700
- add missing obsoletes for old pdfviewer-plugin

* Wed Jan 02 2013 julien <julien> 1:3.9.0-3.mga3
+ Revision: 337688
- rename pdfviewer to pdf_viewer to be consistant with others plugins and mga2

* Tue Dec 04 2012 julien <julien> 1:3.9.0-2.mga3
+ Revision: 326569
- add patch0 to fix CVE-2012-5527 (MGA#8291)

* Thu Nov 15 2012 wally <wally> 1:3.9.0-1.mga3
+ Revision: 318266
- new version
- drop python patch from upstream

* Tue Nov 06 2012 julien <julien> 1:3.8.1-4.mga3
+ Revision: 315368
- add missing BR (needed by autoreconf)
- add upstreamed patch0 to fix requires on libpython.so instead of libpython.so.x.y (bug #7945)

* Sun Sep 30 2012 wally <wally> 1:3.8.1-3.mga3
+ Revision: 300905
- rename source pkg to claws-mail-extra-plugins
- create a meta pkg which requires all extra plugins

* Thu Jul 19 2012 fwang <fwang> 1:3.8.1-2.mga3
+ Revision: 272557
- librapi not needed

* Thu Jun 28 2012 julien <julien> 1:3.8.1-1.mga3
+ Revision: 264758
- add BR for new plugin pdfviewer
- add BR for poppler
- new version 3.8.1

* Sun Dec 18 2011 fwang <fwang> 1:3.8.0-1.mga2
+ Revision: 183666
- drop other header files
- new version 3.8.0

* Sat Nov 19 2011 julien <julien> 1:3.7.10-3.mga2
+ Revision: 169167
- add patch1 to compile with glib 2.31+
- rebuild for new perl (fix bug #3376 with perl plugin unable to load)
- clean up spec a bit

* Fri Sep 30 2011 julien <julien> 1:3.7.10-2.mga2
+ Revision: 150597
- fix compilation with webkit 1.5.1+, fix #2856

* Fri Sep 02 2011 fwang <fwang> 1:3.7.10-1.mga2
+ Revision: 137873
- real remove gdata plugin
- gdata plugins br does not satisfied
- new version 3.7.10

* Thu Jun 30 2011 ahmad <ahmad> 1:3.7.9-1.mga2
+ Revision: 116303
- Update to 3.7.9
- Rediff patch0

* Mon Jun 20 2011 dmorgan <dmorgan> 1:3.7.8-3.mga2
+ Revision: 110460
- Rebuild against new webkit

* Mon Jun 13 2011 ahmad <ahmad> 1:3.7.8-2.mga2
+ Revision: 105591
- Add a patch to fix the build with libnotify-0.7

* Fri Feb 25 2011 ahmad <ahmad> 1:3.7.8-1.mga1
+ Revision: 59287
- remove the . at the end of the summary of one of the subpackages, or else the
  package is rejected (if rpmlint doesn't detect it when
  run locally how am I supposed to frigging spot it?)
- update to 3.7.8
- adapt the spec to available plugins
- drop old/unneeded scriptlets
- drop old provides/obsoletes
- imported package claws-mail-plugins

